Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api
Class Serial

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.api.Serial

public class Serial
extends GenObject

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`` | `Serial()`
`protected` | `Serial(int i)`

Method Summary
`protected void` | `finalize()`
`int` | `flush(boolean flag)`
`int` | `getAPICall(boolean flag)`
`java.lang.String` | `getFirstName()`
`java.lang.String` | `getLastName()`
`boolean` | `getLimited()`
`java.lang.String` | `getMiddleName()`
`java.lang.String` | `getOrganization()`
`boolean` | `getPublished()`
`java.lang.String` | `getSerialNumber()`
`boolean` | `getSerialNumberOK()`
`java.lang.String` | `getServerNumber()`
`void` | `release()`
`void` | `reset()`
`void` | `setFirstName(java.lang.String s)`
`void` | `setLastName(java.lang.String s)`
`void` | `setMiddleName(java.lang.String s)`
`void` | `setOrganization(java.lang.String s)`
`void` | `setPeer(int i)`
`void` | `setPublished(boolean flag)`
`void` | `setSerialNumber(java.lang.String s)`
`void` | `setServerNumber(java.lang.String s)`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Serial

    public Serial()

### Serial

    protected Serial(int i)

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### flush

    public int flush(boolean flag)

### getAPICall

    public int getAPICall(boolean flag)

### getFirstName

    public java.lang.String getFirstName()

### getLastName

    public java.lang.String getLastName()

### getLimited

    public boolean getLimited()

### getMiddleName

    public java.lang.String getMiddleName()

### getOrganization

    public java.lang.String getOrganization()

### getPublished

    public boolean getPublished()

### getSerialNumber

    public java.lang.String getSerialNumber()

### getSerialNumberOK

    public boolean getSerialNumberOK()

### getServerNumber

    public java.lang.String getServerNumber()

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### reset

    public void reset()

### setFirstName

    public void setFirstName(java.lang.String s)

### setLastName

    public void setLastName(java.lang.String s)

### setMiddleName

    public void setMiddleName(java.lang.String s)

### setOrganization

    public void setOrganization(java.lang.String s)

### setPeer

    public void setPeer(int i)

### setPublished

    public void setPublished(boolean flag)

### setSerialNumber

    public void setSerialNumber(java.lang.String s)

### setServerNumber

    public void setServerNumber(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD